package com.ruoyi.ems.service;

import java.util.List;
import com.ruoyi.ems.domain.AdmBoxElecEqpt;

/**
 * 动力箱柜电气设备Service接口
 * 
 * @author ruoyi
 * @date 2024-09-03
 */
public interface IAdmBoxElecEqptService 
{
    /**
     * 查询动力箱柜电气设备
     * 
     * @param id 动力箱柜电气设备主键
     * @return 动力箱柜电气设备
     */
    public AdmBoxElecEqpt selectAdmBoxElecEqptById(Long id);

    /**
     * 查询动力箱柜电气设备列表
     * 
     * @param admBoxElecEqpt 动力箱柜电气设备
     * @return 动力箱柜电气设备集合
     */
    public List<AdmBoxElecEqpt> selectAdmBoxElecEqptList(AdmBoxElecEqpt admBoxElecEqpt);

    /**
     * 新增动力箱柜电气设备
     * 
     * @param admBoxElecEqpt 动力箱柜电气设备
     * @return 结果
     */
    public int insertAdmBoxElecEqpt(AdmBoxElecEqpt admBoxElecEqpt);

    /**
     * 修改动力箱柜电气设备
     * 
     * @param admBoxElecEqpt 动力箱柜电气设备
     * @return 结果
     */
    public int updateAdmBoxElecEqpt(AdmBoxElecEqpt admBoxElecEqpt);

    /**
     * 批量删除动力箱柜电气设备
     * 
     * @param ids 需要删除的动力箱柜电气设备主键集合
     * @return 结果
     */
    public int deleteAdmBoxElecEqptByIds(Long[] ids);

    /**
     * 删除动力箱柜电气设备信息
     * 
     * @param id 动力箱柜电气设备主键
     * @return 结果
     */
    public int deleteAdmBoxElecEqptById(Long id);
}
